| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Details::Property::SwapCall Struct Reference

helper to disable a while triggering it, to avoid infinite recursion More...

`#include <GaudiKernel/Property.h>`

Collaboration diagram for Gaudi::Details::Property::SwapCall:
[legend]

## Public Types
using | callback_t = std::function< void(PropertyBase &)>

## Public Member Functions
| SwapCall (callback_t &input)
| ~SwapCall ()
void | operator() (PropertyBase &p) const

## Public Attributes
callback_t | tmp
callback_t & | orig

## Detailed Description

helper to disable a while triggering it, to avoid infinite recursion

Definition at line 287 of file Property.h.

## Member Typedef Documentation

## ◆ callback_t

using Gaudi::Details::Property::SwapCall::callback_t = std::function<void( PropertyBase& )>

Definition at line 288 of file Property.h.

## Constructor & Destructor Documentation

## ◆ SwapCall()

Gaudi::Details::Property::SwapCall::SwapCall | ( | callback_t & | input | ) |
| inline

Definition at line 290 of file Property.h.

290 : orig( input ) { tmp.swap( orig ); }
std::function::swap
T swap(T... args)
Gaudi::Details::Property::SwapCall::tmp
callback_t tmp
Definition: Property.h:289
Gaudi::Details::Property::SwapCall::orig
callback_t & orig
Definition: Property.h:289

## ◆ ~SwapCall()

Gaudi::Details::Property::SwapCall::~SwapCall | ( |  | ) |
| inline

Definition at line 291 of file Property.h.

291 { orig.swap( tmp ); }
std::function::swap
T swap(T... args)
Gaudi::Details::Property::SwapCall::tmp
callback_t tmp
Definition: Property.h:289
Gaudi::Details::Property::SwapCall::orig
callback_t & orig
Definition: Property.h:289

## Member Function Documentation

## ◆ operator()()

void Gaudi::Details::Property::SwapCall::operator() | ( | PropertyBase & | p | ) | const
| inline

Definition at line 292 of file Property.h.

292 { tmp( p ); }
Gaudi::Details::Property::SwapCall::tmp
callback_t tmp
Definition: Property.h:289

## Member Data Documentation

## ◆ orig

callback_t & Gaudi::Details::Property::SwapCall::orig

Definition at line 289 of file Property.h.

## ◆ tmp

callback_t Gaudi::Details::Property::SwapCall::tmp

Definition at line 289 of file Property.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h